\name{AllAzimuthStatistics}
\alias{AllAzimuthStatistics}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Calculation of All Azimuth Statistics azimuths}
\description{
   This function calculates All Azimuth Statistics a set of input azimuths.
}
\usage{
AllAzimuthStatistics(azimuths)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{azimuths}{Vector containing the values of the azimuths}
}
\details{
   One way to get a vector of azimuths from X and Y coordinates of measured values and real values 
   (coordinates (X, Y) of the error), It is using the \code{\link{LoadData}} function.
   
   The statistics calculated are: \code{Mean Azimuth, Mean Module, Circular Variance, Circular Standard Deviation, Dircular Dispersal, Von Mises Parameter, Kurtosis Coefficient, Skewness Coefficient.}
}
\value{
   The Value All Azimuth Statistics of all input azimuths.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{Juan Carlos Ruiz Cuetos \email{jruizcue@alumnos.unex.es}}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
   \code{\link{MeanModule}}, \code{\link{MeanAzimuth}}, \code{\link{CircularVariance}}, \code{\link{CircularStandardDeviation}},
   \code{\link{CircularDispersalOfSample}}, \code{\link{KurtosisAzimuthCoefficient}}, \code{\link{VonMisesParameter}},
   \code{\link{SkewnessAzimuthCoefficient}}.
}
\examples{
   FileName<-system.file("data/RectangularData.txt", package="VecStat")
   dat<-LoadData(FileName, Type=1, Direction=2)
   azimuths<-dat[,2]
   AllAzimuthStatistics(azimuths)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{azimuth}
