\name{DrawDensityMap}
\alias{DrawDensityMap}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Graphic representation of DensityMap}
\description{
   This function creates a graph, that displays the density of the samples. Areas where there is a greater number of samples will 
   have a deeper color (red), while  the areas a lesser density will have a less intense color (white). To check the correct creation 
   of the density map, we can to represent samples by points,  select the choosing how much and how (Module or Mean Harmonic)
   to calculate outliers.
}
\usage{
DrawDensityMap(data_x, data_y)
DrawDensityMap(data_x, data_y, Div = 100)
DrawDensityMap(data_x, data_y, PaintPoint = TRUE, MeanHarmonic = TRUE, PaintAxis = TRUE)
DrawDensityMap(data_x, data_y, PercentajeOutliers = 5, PaintPoint = TRUE, Div = 250, MeanHarmonic = FALSE)
...
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{data_x}{Vector containing the values of the X coordinate}
  \item{data_y}{Vector containing the values of the Y coordinate}
  \item{PercentajeOutliers}{Integer value that indicates the percentage of outliers. The defaul is 5}
  \item{PaintPoint}{Logical value, if PaintPoint=TRUE samples represented by points, if PaintPoint=FALSE
					samples not represented by points. The defaul is FALSE}
  \item{Div}{IntegerValue that indicates the number of divisions that will have the density map. The defaul is 250}
  \item{MeanHarmonic}{Logical value, if MeanHarmonic=FALSE the module is used for the calculation of outliers, 
                     if MeanHarmonic=TRUE the Mean Harmonic is used for the calculation of outliers. The defaul is FALSE}
  \item{PaintAxis}{Logical value, if PaintAxis=TRUE draw axis, if PaintAxis=FALSE draw not axis. The defaul is FALSE}
}
\details{
   To create the density map, are used "Kernel descriptors", to perform these calculations is required the \code{MASS} package.
   
   the parameter Div is very important, because a very large value will cause the creation of the density map is slow, 
   and a very small value would create a density map ineffective.
   
   One way to get a vector of X coordinate and Y coordinate from modules and azimuths of measured values and real values 
   (coordinates (X, Y) of the error), It is using the \code{\link{LoadData}} function.
}
\value{
   This function returns no value, creates a graph that represents a density map of the input values.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{Juan Carlos Ruiz Cuetos \email{jruizcue@alumnos.unex.es}}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
   \code{\link{DrawHistogram}}, \code{\link{DrawDistribution}}, \code{\link{DrawPoints}}, \code{\link{DrawModuleAndAzimuthDistribution}},
   \code{\link{DrawVectors}}.
}
\examples{
   FileName<-system.file("data/RectangularData.txt", package="VecStat")
   dat<-LoadData(FileName, Type=1, Direction=2)
   X_coordinate<-dat[,3]
   Y_coordinate<-dat[,4]
   DrawDensityMap(X_coordinate, Y_coordinate, PaintPoint = TRUE, Div=200)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{graphics}
