\name{DrawDistribution}
\alias{DrawDistribution}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Graphic representation of the Distribution of points}
\description{
   This function creates a graph, that represents within a circumference the points that are in each of the 360.
   For each of the 360 grades, draws one point for each of the samples that corresponds to the azimuth angle. 
   The colour red is representation of the Mean Azimuth that is in the center of the confidence interval
}
\usage{
DrawDistribution(azimuths)
DrawDistribution(azimuths, Direction = 2)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{azimuths}{Vector containing the values of the azimuths}
  \item{Direction}{Integer value that indicates the direction of the data.
			Direction  1 = Mathematical direction (0  E anticlockwise),
			direction 2 = Topographical direction (0  N clockwise). The defaul is 2}
}
\details{
   It is very important to work always with the same direction, because if the data are loaded in Topographical direction, 
   and Graphic representation of the Histogram in Mathematical direction, the resulting graph is wrong.
   
   With this function you can see in detail where are the largest and smallest concentrations of points.
   
   One way to get a vector of azimuths from X and Y coordinates of measured values and real values 
   (coordinates (X, Y) of the error), It is using the \code{\link{LoadData}} function.
}
\value{
   This function returns no value, creates a graph that represents the distribution of the input data.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{Juan Carlos Ruiz Cuetos \email{jruizcue@alumnos.unex.es}}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
   \code{\link{DrawHistogram}}, \code{\link{DrawPoints}}, \code{\link{DrawModuleAndAzimuthDistribution}},
   \code{\link{DrawDensityMap}}, \code{\link{DrawVectors}}.
}
\examples{
   FileName<-system.file("data/RectangularData.txt", package="VecStat")
   dat<-LoadData(FileName, Type=1, Direction=2)
   azimuths<-dat[,2]
   DrawDistribution(azimuths, Direction = 2)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{graphics}
