\name{RayleighTest}
\alias{RayleighTest}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Rayleigh Test. Formal test of uniformity}
\description{
   This function does the Rayleigh test, a formal tests of uniformity simplest and most used.
}
\usage{
RayleighTest(azimuths)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{azimuths}{Vector containing the values of the azimuths}
}
\details{
   We are supposed that we not must to know the mean address specified . The hypothesis of uniformity is 
   rejected if the mean length of the resultant vector of the sample is very large. This test assumes that 
   a value the mean module most large implies a concentration more around the mean, and therefore less  
   probability that the data is uniformly distributed.

   One way to get a vector of azimuths from X and Y coordinates of measured values and real values 
   (coordinates (X, Y) of the error), It is using the \code{\link{LoadData}} function.
}
\value{
   Returns the value of the probability of accepting the hypothesis of uniformity.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{Juan Carlos Ruiz Cuetos \email{jruizcue@alumnos.unex.es}}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
   \code{\link{ValuationOfUniformity}}, \code{\link{RaoTest}}.
}
\examples{
   FileName<-system.file("data/RectangularData.txt", package="VecStat")
   dat<-LoadData(FileName, Type=1, Direction=2)
   azimuths<-dat[,2]
   RayleighTest(azimuths)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{test}
