\name{VonMisesParameter}
\alias{VonMisesParameter}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Calculation of Von Mises concentration parameter azimuths}
\description{
   This function calculates the Von Mises concentration parameter a set of input azimuths.
}
\usage{
VonMisesParameter(azimuths)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{azimuths}{Vector containing the values of the azimuths}
}
\details{
   One way to get a vector of azimuths from X and Y coordinates of measured values and real values 
   (coordinates (X, Y) of the error), It is using the \code{\link{LoadData}} function.
   
   The Von Mises concentration parameter, measures the variation in the distribution in relation of a 
   perfect circle. If this parameter tends to 0, the distribution converges to the uniform distribution, 
   if tend to infinity, the distribution is concentrated in mean direction of the resultant vector.
}
\value{
   The Von Mises concentration parameter of all input azimuths.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{Juan Carlos Ruiz Cuetos \email{jruizcue@alumnos.unex.es}}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
   \code{\link{MeanModule}}, \code{\link{MeanAzimuth}}, \code{\link{CircularVariance}}, \code{\link{CircularStandardDeviation}},
   \code{\link{CircularDispersalOfSample}}, \code{\link{KurtosisAzimuthCoefficient}},
   \code{\link{SkewnessAzimuthCoefficient}}, \code{\link{AllAzimuthStatistics}}.
}
\examples{
   FileName<-system.file("data/RectangularData.txt", package="VecStat")
   dat<-LoadData(FileName, Type=1, Direction=2)
   azimuths<-dat[,2]
   VonMisesParameter(azimuths)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{azimuth}
